//
// Example code for implementing IDL interfaces in file calc.idl
//

#include <iostream.h>
#include <calc.h>

//
// Example class implementing IDL interface FarCalc
//
class FarCalc_i: public POA_FarCalc,
                public PortableServer::RefCountServantBase {
private:
  // Make sure all instances are built on the heap by making the
  // destructor non-public
  //virtual ~FarCalc_i();
public:
  // standard constructor
  FarCalc_i();
  virtual ~FarCalc_i();

  // methods corresponding to defined IDL attributes and operations
  CORBA::Double AddInt(CORBA::Double a, CORBA::Double b);

};

//
// Example implementational code for IDL interface FarCalc
//
FarCalc_i::FarCalc_i(){
  // add extra constructor code here
}
FarCalc_i::~FarCalc_i(){
  // add extra destructor code here
}
//   Methods corresponding to IDL attributes and operations
CORBA::Double FarCalc_i::AddInt(CORBA::Double a, CORBA::Double b){
cout << a << "+" << b << "=" << a+b << endl;
return a+b;
}



// End of example implementational code